org.modeshape.jcr

## Enum InfinispanUtil.Location

- java.lang.Object
- - java.lang.Enum<InfinispanUtil.Location>
  - - org.modeshape.jcr.InfinispanUtil.Location

- All Implemented Interfaces:
    Serializable, Comparable<InfinispanUtil.Location>
  Enclosing class:
    InfinispanUtil

      public static enum InfinispanUtil.Location
      extends Enum<InfinispanUtil.Location>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVERYWHERE` In all processes
    `LOCALLY` In the local process only, even if the cache is distributed

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InfinispanUtil.Location` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InfinispanUtil.Location[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVERYWHERE

          public static final InfinispanUtil.Location EVERYWHERE

      In all processes

    - #### LOCALLY

          public static final InfinispanUtil.Location LOCALLY

      In the local process only, even if the cache is distributed

  - ### Method Detail

    - #### values

          public static InfinispanUtil.Location[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InfinispanUtil.Location c : InfinispanUtil.Location.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InfinispanUtil.Location valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.